> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transcript

## Description

List transcript segments for a media ID and locale


## OpenAPI

````yaml get /v1/transcript/{media_id}/{locale}
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/transcript/{media_id}/{locale}:
    get:
      tags:
        - transcript
      summary: Get Transcript
      operationId: get_transcript_v1_transcript__media_id___locale__get
      parameters:
        - name: locale
          in: path
          required: true
          schema:
            type: string
            title: Locale
        - name: media_id
          in: path
          required: true
          schema:
            type: string
            title: Media Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TranscriptSegmentRead'
                title: Response Get Transcript V1 Transcript  Media Id   Locale  Get
        '404':
          content:
            application/json:
              example:
                detail: Transcript Not Found
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TranscriptSegmentRead:
      properties:
        segment_id:
          type: string
          title: Segment Id
        content:
          type: string
          title: Content
        raw_content:
          type: string
          title: Raw Content
        start_time:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Start Time
        end_time:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: End Time
        speaker:
          type: string
          title: Speaker
        sex:
          type: string
          title: Sex
        segment_confidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Segment Confidence
      type: object
      required:
        - segment_id
        - content
        - raw_content
        - start_time
        - end_time
        - speaker
        - sex
      title: TranscriptSegmentRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````